package com.neusoft.smart.pos.gateway.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum MemberErrorCode implements CommonCode {
    DEVICE_INFO_NOT_FOUND("11001", "获取不到设备信息"),
    GET_STORE_MEMBER_NUM_ERROR("11002", "获取门店会员数失败"),
    UPDATE_STORE_MEMBER_NUM_ERROR("11003", "更新门店会员数失败"),
    MEMBER_CARD_NOT_EXIST("11004", "会员卡信息不存在"),
    NULL_MEMBER_CARD_PASSWORD("11005", "会员卡密码不能为空"),
    SIGN_VERIFY_FAILED("11006", "签名校验错误"),
    ;

    private String code;

    private String message;

    MemberErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
